Bug 844231 - User gets incorrect message when submitting creation request
User gets incorrect message when submitting creation request
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 00:38 EDT by Clayton Coleman
Modified: 2015-05-14 21:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:43:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2012-07-30 00:38:00 EDT
When the user POSTs to /account/new with an existing email, Streamline should return a specific error (user_exists or similar) and we should handle that and expressly suppress it - sending the user to the confirmation page.

We should update the confirmation page to instruct the user that they can reset their password if they never receive an email (once https://rally1.rallydev.com/#/3680153498d/detail/userstory/6838919588 is completed).
Comment 2 Clayton Coleman 2012-07-31 13:34:18 EDT
Behavior differs between prod and staging.  Keith investigating.  Staging is correct and does what we want.
Comment 3 Clayton Coleman 2012-07-31 17:51:58 EDT
The difference was a user who had already confirmed and one who had not.  Fixed by squelching the error for a user who was already confirmed.
Comment 4 Yujie Zhang 2012-08-01 04:01:46 EDT
(In reply to comment #3)
Tested this issue on production and stage, the steps are as following:
1.Created a new account
2.Confirm email
3.Confirm again, there is no error message and lead to login page 
4.Login and logout
5.Confirm again, there is no error message and lead to login page
Sine there is no error message after click confirm link twice, then verify this bug.

Note You need to log in before you can comment on or make changes to this bug.